Allow the user to switch languages while viewing an article
Closed, ResolvedPublic1 Story Points

Description

Language selector will be part of "article actions" toolbar on bottom.

Instead of static icon we would be showing the language code. Tapping on it will open the modal window for selecting language.

  • A separate ticket will be needed for language picker.

    Fjalapeno updated the task description. (Show Details)
    Fjalapeno raised the priority of this task from to Needs Triage.
    Fjalapeno moved this task to Needs Estimation on the Wikipedia-iOS-App-Backlog board.
    Fjalapeno added a subscriber: Fjalapeno.
    Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2015, 12:22 PM

    @Fjalapeno Holding off on this for now - we have some other locations in mind, finishing up designs for this by the end of the week.

    JMinor renamed this task from Add article languages button to the bottom bar in article view to Allow the user to switch languages while viewing an article.Sep 25 2015, 6:18 PM
    JMinor set Security to None.
    JMinor triaged this task as Normal priority.Sep 28 2015, 9:40 PM
    JMinor added a project: iOS-app-v5-beta.
    Nirzar claimed this task.Oct 6 2015, 10:36 PM
    Nirzar updated the task description. (Show Details)

    Updated the description with mocks. I am pretty sure there are some other cases to this. Let's discuss here and i will add more mocks to the pholio.

    @Nirzar @JMinor
    We also discussed adding the language codes to the modal language list. We'll add a mock

    JMinor updated the task description. (Show Details)Oct 19 2015, 8:28 PM
    BGerstle-WMF added a subscriber: BGerstle-WMF.EditedOct 19 2015, 8:52 PM

    @KHammerstein @Nirzar @JMinor please see https://www.mediawiki.org/wiki/Special:SiteMatrix for a list of all known WMF sites (Wikipedia & other projects).

    @Nirzar for more context from our conversation: many of the wiki language codes are not standard ISO 2 letter codes (see Brian's link) which makes this design more difficult to accommodate.

    Simplest solution is to fallback to a single language switching icon, and not try to include current language in bar. But passing back to you for consideration.

    @JMinor hmm.. having different buttons for english and simple english will be confusing. let's do language icon for now. i will add the asset and update the mockup.

    @KHammerstein we won't have to touch the language selection modal window if we use language icon

    Updated the mock with icon. I will add the asset to latest zip for PDFs

    If the article is not available in the language the button should be in a disabled state.

    MBinder_WMF edited a custom field.Oct 23 2015, 7:11 PM
    Mhurd claimed this task.
    Nirzar added a subscriber: Nirzar.Oct 27 2015, 9:37 PM

    Checked with Dev 5.0.0 (475) on iPad mini 8.2.

    1. Checked. >If the article is not available in the language the button should be in a disabled state.
    2. Checked - While the article is loading, the button should be in a disabled state.
    JMinor closed this task as Resolved.Nov 18 2015, 8:25 PM